%define _disable_ld_no_undefined 1
%define doc_version 5.0.2
%define url ftp://ftp.zsh.org/pub/

Summary: A shell with lots of features
Name:    zsh
Version: 5.0.2
Release: %mkrel 2
Url: http://www.zsh.org
Source0: http://www.zsh.org/pub//%name-%{version}.tar.bz2
Source1: http://www.zsh.org/pub//%name-%doc_version-doc.tar.bz2
Source2: 	zcfg-mdk.tar.bz2
Source3:	http://zsh.dotsrc.org/Guide/zshguide.tar.gz
Source4:	zsh.urpmi_comp.bz2
Patch0:		zsh-5.0.2-texinfo-5.x.patch
Patch101: zsh-serial.patch.bz2
License: MIT
Group: Shells
BuildRequires: ncurses-devel libtermcap-devel >= 2.0, texinfo yodl pcre-devel
BuildRequires:	rpm-helper >= 0.18.5
BuildRequires:	gdbm-devel
BuildRequires:	groff
BuildRoot: %_tmppath/%name-buildroot
Requires(postun): rpm-helper
Requires(post): rpm-helper


%description
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, zsh most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

Install the zsh package if you'd like to try out a different shell.

%package doc
Summary: The doc package of zsh
Group: Books/Computer books
BuildArch:	noarch

%description doc
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, zsh most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

This package include doc guid examples and manual for zsh.

%prep
%setup -q -a 2 -a 1 -n %name-%version
%patch0 -p1
mv %name-%doc_version/Doc/* Doc/
#%patch1 -p1
#%patch2 -p1
%patch101 -p1
bzcat %{SOURCE4}  > Completion/Mandriva/Command/_urpmi

perl -pi -e 's/Mandrake/Mandriva/' config.modules.sh Src/Zle/complete.mdd config.modules
# remove temporary files
find | grep '~$' | xargs rm -f
perl -pi -e 's|/usr/local/bin/|%_bindir/|' Functions/Misc/{run-help,checkmail,zcalc}

%build
%ifarch sparc
EXTRA_CONFIGURE_ARGS="--disable-lfs"
%endif
%configure2_5x \
	--enable-etcdir=%_sysconfdir \
	--enable-function-subdirs \
	--disable-debug $EXTRA_CONFIGURE_FLAGS \
	--disable-max-jobtable-size \
	--enable-pcre \
	--with-tcsetpgrp

%make all

%install
rm -rf $RPM_BUILD_ROOT

make install-strip DESTDIR=%buildroot
make install.info DESTDIR=%buildroot

# copy Mandrake Configuration files.
mkdir -p $RPM_BUILD_ROOT/{bin,etc}
cp -a zcfg/etc/z* $RPM_BUILD_ROOT%_sysconfdir
cp -a zcfg/share/zshrc_default %buildroot%_datadir/zsh/%version/zshrc_default

# this prevents RPM helper from adding dependency on /usr/bin/zsh
find %{buildroot}%{_datadir}/%{name}/%{version} -type f -exec chmod 0644 '{}' \;

# Backward compatibilie should be removed in the others times.
pushd $RPM_BUILD_ROOT/bin && {
    mv ..%_bindir/zsh ./zsh
} && popd

# zshall.1 includes all other man pages which does not work with compressed
# files. Generate full contents here
pushd %{buildroot}%{_mandir} && {
    /usr/bin/soelim man1/zshall.1 > zshall-full
    mv zshall-full man1/zshall.1
    popd
}

rm -f $RPM_BUILD_ROOT%_bindir/%{name}-%version

# Copy documentation.
rm -rf docroot
mkdir -p docroot/{Info_html,Examples,Documentation}/

cp -a README docroot/
cp -a Functions/Misc/* Misc/* Util/* docroot/Examples/
cp -a INSTALL ChangeLog* docroot/Documentation 
cp -a StartupFiles docroot/
cp -a Etc/* docroot/Documentation
cp -a Doc/*html docroot/Info_html/

mkdir -p docroot/Zsh_Guide
tar xzf %SOURCE3 -C docroot/Zsh_Guide
( cd docroot/Zsh_Guide/zshguide/ ; %make )
mv docroot/Zsh_Guide/zshguide/*html docroot/Zsh_Guide/
rm -Rf docroot/Zsh_Guide/zshguide/

# Doc
rm -f docroot/{StartupFiles/.distfiles,Examples/{Makefile*,*.yo},Documentation/{Makefile*,*.yo}}
find docroot/ -name 'Makefile*' -o -name '.yo'|xargs rm -f
find docroot/ -type f|xargs perl -pi -e 's@^#!%_prefix/local/bin/(perl|zsh)@#!%_bindir/\1@'
mv docroot/Examples/compctl-examples docroot/StartupFiles

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/share/rpm-helper/add-shell %name $1 /bin/zsh
%_install_info %name.info

%postun
/usr/share/rpm-helper/del-shell %name $1 /bin/zsh
%_remove_install_info %name.info

%files
%defattr(-,root,root,0755)
%doc docroot/README NEWS
%config(noreplace) %_sysconfdir/z*
/bin/%name
%_mandir/man1/*.1*
%_infodir/*.info*
%dir %_datadir/%{name}
%dir %_datadir/%{name}/%{version}/
%_datadir/%{name}/%{version}/functions
%_datadir/%{name}/%{version}/zshrc_default
%_datadir/%{name}/%{version}/scripts/newuser
%dir %_libdir/%{name}
%_libdir/%{name}/%{version}/
%_datadir/%{name}/site-functions/

%files doc
%defattr(-,root,root)
%doc docroot/Documentation/ docroot/Examples/ docroot/Info_html/
%doc docroot/StartupFiles/ docroot/Zsh_Guide ChangeLog* LICENCE

%changelog
* Wed Nov 06 2013 billybot <billybot> 5.0.2-2pclos2013
- update for new pcre

* Thu Sep 26 2013 pinoc <vogtpet at gmail.com> 5.0.2-1pclos2013
- 5.0.2

* Tue Jan 31 2012 Neal <nealbrks0 at gmail dot com> 4.3.10-1pclos2012
- 64bit build

* Mon Aug 09 2010 Ertain <sirius-c at iname dot com> 4.3.10-1pclos2010
- 4.3.10

* Mon Oct 30 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 4.2.6-6pclos2007
- Build for PCLinuxOS 2007 and remove epoch

